UPDATE Leaders SET PrimaryVictoryPursuit = 'VICTORY_PURSUIT_DIPLOMACY' WHERE Type = 'LEADER_LESTERBPEARSON';
UPDATE Leaders SET SecondaryVictoryPursuit = 'VICTORY_PURSUIT_CULTURE' WHERE Type = 'LEADER_LESTERBPEARSON';
--------------------------------
-- Civilization_Unit/BuildingClassOverrides
--------------------------------
--INSERT INTO Civilization_UnitClassOverrides
--		(CivilizationType, UnitClassType, UnitType)
--SELECT	'CIVILIZATION_COLONIALCANADA', 'UNITCLASS_GREAT_WAR_INFANTRY', 'UNIT_JFD_GE_EXPEDITIONARY'
--WHERE EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');

--INSERT INTO Civilization_BuildingClassOverrides
--		(CivilizationType, BuildingClassType, BuildingType)
--SELECT	'CIVILIZATION_COLONIALCANADA', 'BUILDINGCLASS_HOTEL', 'BUILDING_CANADA_RAILWAY_HOTEL'
--WHERE EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');

INSERT INTO Civilization_UnitClassOverrides
		(CivilizationType, UnitClassType, UnitType)
VALUES	('CIVILIZATION_COLONIALCANADA', 'UNITCLASS_GREAT_WAR_INFANTRY', 'UNIT_JFD_GE_EXPEDITIONARY');

INSERT INTO Civilization_BuildingClassOverrides
		(CivilizationType, BuildingClassType, BuildingType)
VALUES	('CIVILIZATION_COLONIALCANADA', 'BUILDINGCLASS_HOTEL', 'BUILDING_CANADA_RAILWAY_HOTEL');
--==========================================================================================================================
-- ARTDEFINES
--==========================================================================================================================	
-- IconTextureAtlases
------------------------------
INSERT INTO IconTextureAtlases 
		(Atlas, 									IconSize, 	Filename, 							IconsPerRow, 	IconsPerColumn)
VALUES	('JFD_GE_UNITED_KINDGOM_ATLAS', 			256, 		'JFD_GE_UKGeorgeVAtlas_256.dds',	1, 				1),
		('JFD_GE_UNITED_KINDGOM_ATLAS', 			128, 		'JFD_GE_UKGeorgeVAtlas_128.dds',	1, 				1),
		('JFD_GE_UNITED_KINDGOM_ATLAS', 			80, 		'JFD_GE_UKGeorgeVAtlas_80.dds',		1, 				1),
		('JFD_GE_UNITED_KINDGOM_ATLAS', 			64, 		'JFD_GE_UKGeorgeVAtlas_64.dds',		1, 				1),
		('JFD_GE_UNITED_KINDGOM_ATLAS', 			45, 		'JFD_GE_UKGeorgeVAtlas_45.dds',		1, 				1),
		('JFD_GE_UNITED_KINDGOM_ATLAS', 			32, 		'JFD_GE_UKGeorgeVAtlas_32.dds',		1, 				1),
		('CANADA_RAILWAY_HOTEL_ATLAS', 				256, 		'RailwayHotel256.dds',				1, 				1),
		('CANADA_RAILWAY_HOTEL_ATLAS', 				128, 		'RailwayHotel128.dds',				1, 				1),
		('CANADA_RAILWAY_HOTEL_ATLAS', 				80, 		'RailwayHotel080.dds',				1, 				1),
		('CANADA_RAILWAY_HOTEL_ATLAS', 				64, 		'RailwayHotel064.dds',				1, 				1),
		('CANADA_RAILWAY_HOTEL_ATLAS', 				45, 		'RailwayHotel045.dds',				1, 				1),
		('JFD_GE_UNIT_FLAG_EXPEDITIONARY_ATLAS', 	32, 		'JFD_GE_BEFUnitFlag_32.dds',		1, 				1),
		('CANADA_PROMOTION_ATLAS', 					16, 		'canada_PI_016.dds',				5, 				1),
		('CANADA_PROMOTION_ATLAS', 					32, 		'canada_PI_032.dds',				5, 				1),
		('CANADA_PROMOTION_ATLAS', 					45, 		'canada_PI_045.dds',				5, 				1),
		('CANADA_PROMOTION_ATLAS', 					64, 		'canada_PI_064.dds',				5, 				1),
		('CANADA_PROMOTION_ATLAS', 					256, 		'canada_PI_256.dds',				5, 				1);
--==========================================================================================================================
-- UNIT/RESOURCE GRAPHICS
--==========================================================================================================================	
-- ArtDefine_StrategicView
------------------------------
INSERT INTO ArtDefine_StrategicView 
		(StrategicViewType, 						TileType,		Asset)
VALUES	('ART_DEF_UNIT_JFD_GE_EXPEDITIONARY', 		'Unit', 		'sv_BEF.dds');
------------------------------
-- ArtDefine_UnitInfos
------------------------------		
INSERT INTO ArtDefine_UnitInfos 
		(Type, 										DamageStates,	Formation)
SELECT	'ART_DEF_UNIT_JFD_GE_EXPEDITIONARY',		DamageStates, 	Formation
FROM ArtDefine_UnitInfos WHERE Type = 'ART_DEF_UNIT_WW1_INFANTRY';
------------------------------
-- ArtDefine_UnitInfoMemberInfos
------------------------------
INSERT INTO ArtDefine_UnitInfoMemberInfos 	
		(UnitInfoType,								UnitMemberInfoType,							NumMembers)
SELECT	'ART_DEF_UNIT_JFD_GE_EXPEDITIONARY',		'ART_DEF_UNIT_MEMBER_JFD_GE_EXPEDITIONARY',	NumMembers
FROM ArtDefine_UnitInfoMemberInfos WHERE UnitInfoType = 'ART_DEF_UNIT_WW1_INFANTRY';
------------------------------
-- ArtDefine_UnitMemberCombats
------------------------------
INSERT INTO ArtDefine_UnitMemberCombats 
		(UnitMemberType,							EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation)
SELECT	'ART_DEF_UNIT_MEMBER_JFD_GE_EXPEDITIONARY',	EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation
FROM ArtDefine_UnitMemberCombats WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_WW1_INFANTRY';
------------------------------
-- ArtDefine_UnitMemberCombatWeapons
------------------------------
INSERT INTO ArtDefine_UnitMemberCombatWeapons	
		(UnitMemberType,							"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag)
SELECT	'ART_DEF_UNIT_MEMBER_JFD_GE_EXPEDITIONARY',	"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag
FROM ArtDefine_UnitMemberCombatWeapons WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_WW1_INFANTRY';
------------------------------
-- ArtDefine_UnitMemberInfos
------------------------------
INSERT INTO ArtDefine_UnitMemberInfos 	
		(Type, 										Scale,  ZOffset, Domain, Model, 					MaterialTypeTag, MaterialTypeSoundOverrideTag)
SELECT	'ART_DEF_UNIT_MEMBER_JFD_GE_EXPEDITIONARY',	Scale,	ZOffset, Domain, 'England_Infantry.fxsxml',	MaterialTypeTag, MaterialTypeSoundOverrideTag
FROM ArtDefine_UnitMemberInfos WHERE Type = 'ART_DEF_UNIT_MEMBER_WW1_INFANTRY';
--==========================================================================================================================	
-- BUILDINGS
--==========================================================================================================================
------------------------------	
-- BuildingClasses
------------------------------
INSERT INTO BuildingClasses 	
			(Type,									DefaultBuilding,					NoLimit)
VALUES		('BUILDINGCLASS_D_FOR_RAILWAY_HOTEL',	'BUILDING_D_FOR_RAILWAY_HOTEL',		1);



INSERT INTO	Buildings
			(Type,								Description,								Civilopedia,									Strategy,											Help,											GoldMaintenance, Cost, HurryCostModifier, MinAreaSize, ConquestProb, NeverCapture,	BuildingClass, ArtDefineTag, PrereqTech, PortraitIndex, IconAtlas,						GreatWorkYieldType, LandmarksTourismPercent, GreatWorksTourismModifier)
SELECT		'BUILDING_CANADA_RAILWAY_HOTEL',	'TXT_KEY_BUILDING_CANADA_RAILWAY_HOTEL',	'TXT_KEY_BUILDING_CANADA_RAILWAY_HOTEL_TEXT',	'TXT_KEY_BUILDING_CANADA_RAILWAY_HOTEL_STRATEGY',	'TXT_KEY_BUILDING_CANADA_RAILWAY_HOTEL_HELP',	GoldMaintenance, Cost, HurryCostModifier, MinAreaSize, ConquestProb, NeverCapture,	BuildingClass, ArtDefineTag, PrereqTech, 0,				'CANADA_RAILWAY_HOTEL_ATLAS', 	GreatWorkYieldType, LandmarksTourismPercent, GreatWorksTourismModifier
FROM Buildings WHERE Type = 'BUILDING_HOTEL';

INSERT INTO Buildings 	
			(Type,								BuildingClass,							Description,							CapitalOnly, 	GoldMaintenance,	Cost,	FaithCost,	GreatWorkCount, NeverCapture,	NukeImmune, ConquestProb,	HurryCostModifier,	IconAtlas,			PortraitIndex, 	IsDummy)
VALUES		('BUILDING_D_FOR_RAILWAY_HOTEL', 	'BUILDINGCLASS_D_FOR_RAILWAY_HOTEL', 	'TXT_KEY_BUILDING_D_FOR_RAILWAY_HOTEL', 0, 				0,					-1,		-1,			-1,				1,				1,			0,				-1,					'CIV_COLOR_ATLAS',	0, 				1);
--------------------------------
-- Building_Flavors
--------------------------------
INSERT INTO	Building_Flavors
			(BuildingType,						FlavorType,		Flavor)
VALUES		('BUILDING_CANADA_RAILWAY_HOTEL', 'FLAVOR_CULTURE',	60),
			('BUILDING_CANADA_RAILWAY_HOTEL', 'FLAVOR_GOLD',	30);
--------------------------------
-- Building_YieldChanges
--------------------------------
INSERT INTO Building_YieldChanges
			(BuildingType,						YieldType, 			Yield)
VALUES		('BUILDING_CANADA_RAILWAY_HOTEL',	'YIELD_CULTURE',	6),
			('BUILDING_CANADA_RAILWAY_HOTEL',	'YIELD_GOLD',		2),
			('BUILDING_CANADA_RAILWAY_HOTEL',	'YIELD_TOURISM',	2);
------------------------------	
-- Building_BuildingClassYieldChanges
------------------------------
INSERT INTO Building_BuildingClassYieldChanges 	
			(BuildingType,						BuildingClassType,				YieldType,			YieldChange)
VALUES		('BUILDING_CANADA_RAILWAY_HOTEL',	'BUILDINGCLASS_SEAPORT',		'YIELD_GOLD',		2),
			('BUILDING_CANADA_RAILWAY_HOTEL',	'BUILDINGCLASS_SEAPORT',		'YIELD_TOURISM',	2),
			('BUILDING_CANADA_RAILWAY_HOTEL',	'BUILDINGCLASS_TRAINSTATION',	'YIELD_GOLD',		2),
			('BUILDING_CANADA_RAILWAY_HOTEL',	'BUILDINGCLASS_TRAINSTATION',	'YIELD_TOURISM',	2);
			
------------------------------	
-- Building_BuildingClassLocalYieldChanges
------------------------------
INSERT INTO Building_BuildingClassLocalYieldChanges
			(BuildingType,						BuildingClassType,			YieldType,			YieldChange)
VALUES		('BUILDING_D_FOR_RAILWAY_HOTEL',	'BUILDINGCLASS_HOTEL', 		'YIELD_GOLD',		1),
			('BUILDING_D_FOR_RAILWAY_HOTEL',	'BUILDINGCLASS_HOTEL',		'YIELD_TOURISM',	1);
--==========================================================================================================================	
-- PROMOTIONS
--==========================================================================================================================	
-- UnitPromotions
------------------------------
INSERT INTO UnitPromotions 
			(Type, 						Description, 						Help, 									Sound, 				CombatPercent,	MovesChange,	AttackMod,	DefenseMod, AttackFortifiedMod, StrongerDamaged,	IgnoreZOC,	LostWithUpgrade,	CannotBeChosen, PortraitIndex, 	IconAtlas, 					PediaType, 		PediaEntry)
VALUES		('PROMOTION_STORMTROOPER', 	'TXT_KEY_PROMOTION_STORMTROOPER',	'TXT_KEY_PROMOTION_STORMTROOPER_HELP', 	'AS2D_IF_LEVELUP',	0,				0,				0,			0,			100, 				0,					0,			0,					1, 				4, 				'CANADA_PROMOTION_ATLAS', 	'PEDIA_MELEE', 'TXT_KEY_PROMOTION_STORMTROOPER');

--==========================================================================================================================
-- UNITS
--==========================================================================================================================
-- Units
--------------------------------
INSERT INTO Units 	
		(Type, 							PrereqTech,	Class, Combat,		RangedCombat, CombatClass, Cost, FaithCost, RequiresFaithPurchaseEnabled, Moves, Range, Domain, DefaultUnitAI, Description, 						Civilopedia, 								Strategy, 										Help, 										Pillage, ObsoleteTech,			GoodyHutUpgradeUnitClass, HurryCostModifier, MilitarySupport, MilitaryProduction, IgnoreBuildingDefense, Mechanized, AdvancedStartCost, RangedCombatLimit, CombatLimit, XPValueAttack, XPValueDefense, Conscription, UnitArtInfo, 							UnitFlagIconOffset,		UnitFlagAtlas,							PortraitIndex, 	IconAtlas,						MoveRate, BaseSightRange, PurchaseCooldown, BaseLandAirDefense, IsMounted)
SELECT	'UNIT_JFD_GE_EXPEDITIONARY',	PrereqTech,	Class, Combat+6,	RangedCombat, CombatClass, Cost, FaithCost, RequiresFaithPurchaseEnabled, Moves, Range, Domain, DefaultUnitAI, 'TXT_KEY_UNIT_JFD_GE_EXPEDITIONARY',	'TXT_KEY_UNIT_JFD_GE_EXPEDITIONARY_TEXT', 	'TXT_KEY_UNIT_JFD_GE_EXPEDITIONARY_STRATEGY', 	'TXT_KEY_UNIT_HELP_JFD_GE_EXPEDITIONARY', 	Pillage, 'TECH_MOBILE_TACTICS',	GoodyHutUpgradeUnitClass, HurryCostModifier, MilitarySupport, MilitaryProduction, IgnoreBuildingDefense, Mechanized, AdvancedStartCost, RangedCombatLimit, CombatLimit, XPValueAttack, XPValueDefense, Conscription, 'ART_DEF_UNIT_JFD_GE_EXPEDITIONARY',	0,						'JFD_GE_UNIT_FLAG_EXPEDITIONARY_ATLAS',	0, 				'JFD_GE_UNITED_KINDGOM_ATLAS',	MoveRate, BaseSightRange, PurchaseCooldown, BaseLandAirDefense, IsMounted
FROM Units WHERE Type = 'UNIT_GREAT_WAR_INFANTRY';
--------------------------------
-- UnitGameplay2DScripts
--------------------------------
INSERT INTO UnitGameplay2DScripts 	
		(UnitType, 						SelectionSound, FirstSelectionSound)
SELECT	'UNIT_JFD_GE_EXPEDITIONARY',	SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_GREAT_WAR_INFANTRY';	
--------------------------------
-- Unit_AITypes
--------------------------------
INSERT INTO Unit_AITypes 	
		(UnitType, 						UnitAIType)
SELECT	'UNIT_JFD_GE_EXPEDITIONARY',	UnitAIType
FROM Unit_AITypes WHERE UnitType = 'UNIT_GREAT_WAR_INFANTRY';
--------------------------------	
-- Unit_ResourceQuantityRequirements
--------------------------------	
INSERT INTO Unit_ResourceQuantityRequirements 	
		(UnitType, 						ResourceType)
SELECT	'UNIT_JFD_GE_EXPEDITIONARY',	ResourceType
FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_GREAT_WAR_INFANTRY';
--------------------------------
-- Unit_ClassUpgrades
--------------------------------	
INSERT INTO Unit_ClassUpgrades 	
		(UnitType, 						UnitClassType)
SELECT	'UNIT_JFD_GE_EXPEDITIONARY'	,	UnitClassType
FROM Unit_ClassUpgrades WHERE UnitType = 'UNIT_GREAT_WAR_INFANTRY';
--------------------------------
-- Unit_Flavors
--------------------------------
INSERT INTO Unit_Flavors
		(UnitType, 						FlavorType, Flavor)
SELECT	'UNIT_JFD_GE_EXPEDITIONARY',	FlavorType, Flavor
FROM Unit_Flavors WHERE UnitType = 'UNIT_GREAT_WAR_INFANTRY';
--------------------------------
-- Unit_FreePromotions
--------------------------------
INSERT INTO Unit_FreePromotions 	
		(UnitType, 						PromotionType)
SELECT	'UNIT_JFD_GE_EXPEDITIONARY',	PromotionType
FROM Unit_FreePromotions WHERE UnitType = 'UNIT_GREAT_WAR_INFANTRY';

INSERT INTO Unit_FreePromotions 	
		(UnitType, 						PromotionType)
VALUES	('UNIT_JFD_GE_EXPEDITIONARY',		'PROMOTION_PARTIAL_HEAL_IF_DESTROY_ENEMY'),
		('UNIT_JFD_GE_EXPEDITIONARY',		'PROMOTION_STORMTROOPER');