--=======================================================================================================================
-- BUILDINGCLASSES
--=======================================================================================================================
-- BuildingClasses
------------------------------	
INSERT INTO BuildingClasses 	
			(Type,											DefaultBuilding,						NoLimit)
VALUES		('BUILDINGCLASS_CANADA_FORT_DUMMY',				'BUILDING_CANADA_FORT_DUMMY',			1),
			('BUILDINGCLASS_CANADABROTHERHOODOFNATIONS',	'BUILDING_CANADABROTHERHOODOFNATIONS',	1),
			('BUILDINGCLASS_CANADACAPITALTRADE',			'BUILDING_CANADACAPITALTRADE',			1),
			('BUILDINGCLASS_CANADA_CDB_DUMMY_1',			'BUILDING_CANADA_CDB_DUMMY_1',			1),
			('BUILDINGCLASS_CANADA_CDB_DUMMY_2',			'BUILDING_CANADA_CDB_DUMMY_2',			1),
			('BUILDINGCLASS_CANADA_CDB_DUMMY_3',			'BUILDING_CANADA_CDB_DUMMY_3',			1),
			('BUILDINGCLASS_CANADA_CDB_DUMMY_4',			'BUILDING_CANADA_CDB_DUMMY_4',			1),
			('BUILDINGCLASS_CANADA_CDB_DUMMY_5',			'BUILDING_CANADA_CDB_DUMMY_5',			1);
--==========================================================================================================================
-- BUILDINGS
--==========================================================================================================================
-- Buildings
------------------------------
INSERT INTO Buildings 	
			(Type,									BuildingClass,								Description,									SingleLeagueVotes, 	DoFToVotes, 	TradeRouteLandDistanceModifier, GoldMaintenance,	Cost,	FaithCost,	GreatWorkCount, NeverCapture,	NukeImmune, ConquestProb,	HurryCostModifier,	IconAtlas,			PortraitIndex, 	CapitalOnly, 	IsDummy)
VALUES		('BUILDING_CANADA_FORT_DUMMY',			'BUILDINGCLASS_CANADA_FORT_DUMMY',			'TXT_KEY_BUILDING_CANADA_FORT_DUMMY',			0, 					0, 				0, 								0,					-1,		-1,			-1,				1,				1,			0,				-1,					'CIV_COLOR_ATLAS',	0, 				0, 				1),
			('BUILDING_CANADABROTHERHOODOFNATIONS',	'BUILDINGCLASS_CANADABROTHERHOODOFNATIONS',	'TXT_KEY_BUILDING_CANADABROTHERHOODOFNATIONS',	1, 					0, 				0, 								0,					-1,		-1,			-1,				1,				1,			0,				-1,					'CIV_COLOR_ATLAS',	0, 				0, 				1),
			('BUILDING_CANADACAPITALTRADE',			'BUILDINGCLASS_CANADACAPITALTRADE',			'TXT_KEY_BUILDING_CANADABROTHERHOODOFNATIONS',	0, 					1, 				0, 								0,					-1,		-1,			-1,				1,				1,			0,				-1,					'CIV_COLOR_ATLAS',	0, 				1, 				1);
			
			
INSERT INTO Buildings
			(Type, 						FreeBuildingThisCity, BuildingClass, NeverCapture, NukeImmune, NumCityCostMod, PovertyFlatReductionGlobal, FreeStartEra, ExtraLuxuries, TradeRouteRecipientBonus, TradeRouteTargetBonus, NationalPopRequired, ResourceDiversityModifier, Cost, GoldMaintenance, NumTradeRouteBonus, TradeRouteLandDistanceModifier, PrereqTech, Help, 									Description, 						Civilopedia, 								Strategy, 									ArtDefineTag, ConquestProb, HurryCostModifier, ArtInfoEraVariation, DisplayPosition, IconAtlas, 			PortraitIndex, 	SpecialistType, SpecialistCount, TradeRouteRecipientBonus, TradeRouteTargetBonus, FreePromotion)
SELECT		'BUILDING_CLHUDSONSBAY', 	'BUILDINGCLASS_MINT', BuildingClass, NeverCapture, NukeImmune, NumCityCostMod, PovertyFlatReductionGlobal, FreeStartEra, ExtraLuxuries, TradeRouteRecipientBonus, TradeRouteTargetBonus, NationalPopRequired, ResourceDiversityModifier, Cost, GoldMaintenance, NumTradeRouteBonus, TradeRouteLandDistanceModifier, PrereqTech, 'TXT_KEY_BUILDING_CLHUDSONSBAY_HELP', 	'TXT_KEY_BUILDING_CLHUDSONSBAY', 	'TXT_KEY_CIV5_BUILDINGS_CLHUDSONSBAY_TEXT', 'TXT_KEY_BUILDING_CLHUDSONSBAY_STRATEGY', 	ArtDefineTag, ConquestProb, HurryCostModifier, ArtInfoEraVariation, DisplayPosition, 'CLHUDSONSBAY_ICON', 	0, 				SpecialistType, SpecialistCount, TradeRouteRecipientBonus, TradeRouteTargetBonus, 'PROMOTION_CLCOLONIALCAPITALISM'
FROM Buildings WHERE Type = 'BUILDING_NATIONAL_TREASURY';
------------------------------
-- Building_YieldChanges
------------------------------
INSERT INTO Building_YieldChanges 
			(BuildingType, 					YieldType,						Yield)
VALUES		('BUILDING_CANADA_FORT_DUMMY',	'YIELD_GREAT_GENERAL_POINTS',	1),
			('BUILDING_CANADA_FORT_DUMMY',	'YIELD_GOLD',					2), 
			('BUILDING_CLHUDSONSBAY',		'YIELD_GOLD',					6),
			('BUILDING_CLHUDSONSBAY',		'YIELD_CULTURE',				2);
------------------------------
-- Building_YieldChanges
------------------------------
INSERT INTO Building_InstantYield
			(BuildingType, 				YieldType, 				Yield)
VALUES		('BUILDING_CLHUDSONSBAY', 	'YIELD_CULTURE_LOCAL', 	3000);
--------------------------------
-- Building_ClassYieldChanges
--------------------------------
INSERT INTO	Building_BuildingClassYieldChanges
			(BuildingType,  			BuildingClassType, 		YieldType, 			YieldChange)
VALUES		('BUILDING_CLHUDSONSBAY', 	'BUILDINGCLASS_MINT', 	'YIELD_GOLD', 		2),
			('BUILDING_CLHUDSONSBAY', 	'BUILDINGCLASS_BANK', 	'YIELD_CULTURE', 	3);
--------------------------------
-- Building_ImprovementYieldChangesGlobal
--------------------------------
INSERT INTO	Building_ImprovementYieldChangesGlobal
			(BuildingType,  			ImprovementType, 		YieldType, 			Yield)
VALUES		('BUILDING_CLHUDSONSBAY', 	'IMPROVEMENT_FORT', 	'YIELD_CULTURE', 	2),
			('BUILDING_CLHUDSONSBAY', 	'IMPROVEMENT_FORT', 	'YIELD_GOLD', 		2),
			('BUILDING_CLHUDSONSBAY', 	'IMPROVEMENT_CITADEL', 	'YIELD_CULTURE', 	2),
			('BUILDING_CLHUDSONSBAY', 	'IMPROVEMENT_CITADEL', 	'YIELD_GOLD', 		2);
------------------------------	
-- Building_Flavors
------------------------------
INSERT INTO Building_Flavors 	
			(BuildingType, 			 FlavorType, Flavor)
SELECT		'BUILDING_CLHUDSONSBAY', FlavorType, Flavor
FROM Building_Flavors WHERE (BuildingType = 'BUILDING_NATIONAL_TREASURY');
--==========================================================================================================================	
-- PROMOTIONS
--==========================================================================================================================	
INSERT INTO UnitPromotions 
		(Type, 								Description, 								Help, 											Sound, 				CannotBeChosen, PortraitIndex, 	IconAtlas, 					PediaType, 			PediaEntry, 								FriendlyLandsModifier)
VALUES	('PROMOTION_CLCOLONIALCAPITALISM', 'TXT_KEY_PROMOTION_CLCOLONIALCAPITALISM', 	'TXT_KEY_PROMOTION_CLCOLONIALCAPITALISM_HELP', 	'AS2D_IF_LEVELUP', 	1, 				0, 				'CANADA_PROMOTION_ATLAS', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_CLCOLONIALCAPITALISM', 	0);

INSERT INTO UnitPromotions_UnitCombats
	(PromotionType, UnitCombatType)
VALUES	('PROMOTION_CLCOLONIALCAPITALISM', 'UNITCOMBAT_MELEE'),
		('PROMOTION_CLCOLONIALCAPITALISM', 'UNITCOMBAT_MOUNTED'),
		('PROMOTION_CLCOLONIALCAPITALISM', 'UNITCOMBAT_RECON'),
		('PROMOTION_CLCOLONIALCAPITALISM', 'UNITCOMBAT_ARCHER'),
		('PROMOTION_CLCOLONIALCAPITALISM', 'UNITCOMBAT_SIEGE'),
		('PROMOTION_CLCOLONIALCAPITALISM', 'UNITCOMBAT_GUN'),
		('PROMOTION_CLCOLONIALCAPITALISM', 'UNITCOMBAT_ARMOR'),
		('PROMOTION_CLCOLONIALCAPITALISM', 'UNITCOMBAT_HELICOPTER');
