-- Allow CdB respawn mechanic 
UPDATE CustomModOptions	SET Value = 1 WHERE Name = 'API_LUA_EXTENSIONS';
UPDATE CustomModOptions	SET Value = 1 WHERE Name = 'API_TRADEROUTES';
--------------------------------
-- Units
--------------------------------	
INSERT INTO Units 	
			(Type,				Class, 	PrereqTech,	Range,	BaseSightRange, RangedCombat, Combat, 	Cost, FaithCost, RequiresFaithPurchaseEnabled, PurchaseCooldown, Moves, Immobile, CombatClass, Domain, DefaultUnitAI, Special, ObsoleteTech, GoodyHutUpgradeUnitClass, XPValueAttack,	AirInterceptRange, Description, 				Civilopedia, Strategy, 	Help, 							Pillage, MilitarySupport, MilitaryProduction, IgnoreBuildingDefense, Mechanized, AirUnitCap, AdvancedStartCost, RangedCombatLimit, CombatLimit, XPValueDefense, IsMounted,	UnitArtInfo, 				UnitFlagIconOffset, UnitFlagAtlas,	PortraitIndex, 	IconAtlas,		MoveRate, ShowInPedia)
SELECT		'UNIT_EEAVROARROW',	Class,	PrereqTech,	Range,	BaseSightRange, RangedCombat+1, Combat, Cost, FaithCost, RequiresFaithPurchaseEnabled, PurchaseCooldown, Moves, Immobile, CombatClass, Domain, DefaultUnitAI, Special, ObsoleteTech, GoodyHutUpgradeUnitClass, XPValueAttack,	AirInterceptRange, 'TXT_KEY_UNIT_AVROARROW',	Civilopedia, Strategy,	'TXT_KEY_UNIT_HELP_AVROARROW',	Pillage, MilitarySupport, MilitaryProduction, IgnoreBuildingDefense, Mechanized, AirUnitCap, AdvancedStartCost, RangedCombatLimit, CombatLimit, XPValueDefense, IsMounted,	'ART_DEF_UNIT_AVROARROW', 	0,					'CLAVRO_FLAG',	0, 				'CLAVRO_ICON',	MoveRate, 0
FROM Units WHERE Type = 'UNIT_JET_FIGHTER';

INSERT INTO Units 	
			(Type,						BaseGold, 	Class, PrereqTech, Range, BaseSightRange, Combat, Cost, 	FaithCost, RequiresFaithPurchaseEnabled, PurchaseCooldown, Moves, Immobile, CombatClass, Domain, DefaultUnitAI,	ObsoleteTech, 	GoodyHutUpgradeUnitClass, XPValueAttack, Description, 						Civilopedia, 							Strategy, 									Help, 									Pillage, MilitarySupport, MilitaryProduction, IgnoreBuildingDefense, Mechanized, AirUnitCap, AdvancedStartCost, RangedCombatLimit, CombatLimit, XPValueDefense, UnitArtInfo, 						UnitFlagIconOffset,	UnitFlagAtlas,		PortraitIndex, 	IconAtlas,				MoveRate)
SELECT		'UNIT_CANADIANVOYAGEUR',	100, 		Class, PrereqTech, Range, BaseSightRange, Combat, Cost-10, 	FaithCost, RequiresFaithPurchaseEnabled, PurchaseCooldown, Moves, Immobile, CombatClass, Domain, DefaultUnitAI,	'TECH_FLIGHT', 	GoodyHutUpgradeUnitClass, XPValueAttack, 'TXT_KEY_UNIT_CANADIANVOYAGEUR',	'TXT_KEY_CIV5_CANADIANVOYAGEUR_TEXT',	'TXT_KEY_UNIT_CANADIANVOYAGEUR_STRATEGY',	'TXT_KEY_UNIT_HELP_CANADIANVOYAGEUR',	Pillage, MilitarySupport, MilitaryProduction, IgnoreBuildingDefense, Mechanized, AirUnitCap, AdvancedStartCost, RangedCombatLimit, CombatLimit, XPValueDefense, 'ART_DEF_UNIT_CANADIANVOYAGEUR', 	0,					'VOYAGEUR_FLAG',	2, 				'COLONIALCANADA_ICON',	MoveRate
FROM Units WHERE Type = 'UNIT_EXPLORER';
--------------------------------	
-- UnitGameplay2DScripts
--------------------------------		
INSERT INTO UnitGameplay2DScripts 	
			(UnitType, 				SelectionSound, FirstSelectionSound)
SELECT		'UNIT_EEAVROARROW', 	SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_JET_FIGHTER';	

INSERT INTO UnitGameplay2DScripts 	
			(UnitType, 				SelectionSound, FirstSelectionSound)
SELECT		'UNIT_CANADIANVOYAGEUR',	SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_EXPLORER';	
--------------------------------	
-- Unit_AITypes
--------------------------------		
INSERT INTO Unit_AITypes 	
			(UnitType, 			UnitAIType)
SELECT		'UNIT_EEAVROARROW', UnitAIType
FROM Unit_AITypes WHERE UnitType = 'UNIT_JET_FIGHTER';

INSERT INTO Unit_AITypes 	
			(UnitType, 				UnitAIType)
SELECT		'UNIT_CANADIANVOYAGEUR',	UnitAIType
FROM Unit_AITypes WHERE UnitType = 'UNIT_EMISSARY';
--------------------------------	
-- Unit_ClassUpgrades
--------------------------------		
INSERT INTO Unit_ClassUpgrades 	
			(UnitType, 				UnitClassType)
SELECT		'UNIT_EEAVROARROW', 	UnitClassType
FROM Unit_ClassUpgrades WHERE UnitType = 'UNIT_JET_FIGHTER';

INSERT INTO Unit_ClassUpgrades 	
			(UnitType, 				UnitClassType)
SELECT		'UNIT_CANADIANVOYAGEUR',	UnitClassType
FROM Unit_ClassUpgrades WHERE UnitType = 'UNIT_EXPLORER';
--------------------------------	
-- Unit_ResourceQuantityRequirements
--------------------------------		
INSERT INTO Unit_ResourceQuantityRequirements 	
			(UnitType, 				ResourceType)
SELECT		'UNIT_EEAVROARROW', 	ResourceType
FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_JET_FIGHTER';
--------------------------------	
-- Unit_ResourceQuantityRequirements
--------------------------------	
UPDATE Unit_BuildingClassPurchaseRequireds SET BuildingClassType = 'BUILDINGCLASS_MARKET' WHERE UnitType = 'UNIT_CANADIANVOYAGEUR';
--------------------------------	
-- Unit_Flavors
--------------------------------		
INSERT INTO Unit_Flavors 	
			(UnitType, 				FlavorType,			Flavor)
VALUES		('UNIT_EEAVROARROW',	'FLAVOR_OFFENSE',	7),
			('UNIT_EEAVROARROW',	'FLAVOR_AIR',		15),
			('UNIT_EEAVROARROW',	'FLAVOR_ANTIAIR',	15),
			('UNIT_EEAVROARROW',	'FLAVOR_DEFENSE',	10);
			
INSERT INTO Unit_Flavors 	
			(UnitType, 				FlavorType,				Flavor)
VALUES		('UNIT_CANADIANVOYAGEUR',	'FLAVOR_OFFENSE',	10),
			('UNIT_CANADIANVOYAGEUR',	'FLAVOR_RECON',		50),
			('UNIT_CANADIANVOYAGEUR',	'FLAVOR_DIPLOMACY',	40);
--------------------------------
-- Unit_FreePromotions
--------------------------------
INSERT INTO Unit_FreePromotions 	
			(UnitType, 				PromotionType)
SELECT		'UNIT_EEAVROARROW', 	PromotionType
FROM Unit_FreePromotions WHERE UnitType = 'UNIT_JET_FIGHTER';

INSERT INTO Unit_FreePromotions 	
			(UnitType, 				PromotionType)
SELECT		'UNIT_CANADIANVOYAGEUR',	PromotionType
FROM Unit_FreePromotions WHERE UnitType = 'UNIT_EXPLORER';

INSERT INTO Unit_FreePromotions
			(UnitType, 				PromotionType)
VALUES		('UNIT_CANADIANVOYAGEUR',	'PROMOTION_WOODLAND_TRAILBLAZER_I'),
			('UNIT_CANADIANVOYAGEUR',	'PROMOTION_FURTRADE'),
			('UNIT_CANADIANVOYAGEUR',	'PROMOTION_PORTAGE');
--==========================================================================================================================
-- ARTDEFINES
--==========================================================================================================================	
-- ArtDefine_UnitInfos
------------------------------		
INSERT INTO ArtDefine_UnitInfos
			(Type,								DamageStates,	Formation)
SELECT		'ART_DEF_UNIT_CANADIANVOYAGEUR',	DamageStates, 	Formation
FROM ArtDefine_UnitInfos WHERE Type = 'ART_DEF_UNIT_SCOUT';
------------------------------
-- ArtDefine_StrategicView
------------------------------
INSERT INTO ArtDefine_StrategicView 
			(StrategicViewType, 				TileType,	Asset)
VALUES		('ART_DEF_UNIT_CANADIANVOYAGEUR',	'Unit',		'SV_Voyageur.dds');
------------------------------
-- ArtDefine_UnitInfoMemberInfos
------------------------------
INSERT INTO ArtDefine_UnitInfoMemberInfos 	
			(UnitInfoType,						UnitMemberInfoType,						NumMembers)
SELECT		'ART_DEF_UNIT_CANADIANVOYAGEUR',	'ART_DEF_UNIT_MEMBER_CANADIANVOYAGEUR', NumMembers
FROM ArtDefine_UnitInfoMemberInfos WHERE UnitInfoType = 'ART_DEF_UNIT_SCOUT';
------------------------------
-- ArtDefine_UnitMemberCombats
------------------------------
INSERT INTO ArtDefine_UnitMemberCombats 
			(UnitMemberType,						EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation)
SELECT		'ART_DEF_UNIT_MEMBER_CANADIANVOYAGEUR',	EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation
FROM ArtDefine_UnitMemberCombats WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_SCOUT';
------------------------------
-- ArtDefine_UnitMemberCombatWeapons
------------------------------
INSERT INTO ArtDefine_UnitMemberCombatWeapons	
			(UnitMemberType,						"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag)
SELECT		'ART_DEF_UNIT_MEMBER_CANADIANVOYAGEUR',	"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag
FROM ArtDefine_UnitMemberCombatWeapons WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_SCOUT';
------------------------------
-- ArtDefine_UnitMemberInfos
------------------------------
INSERT INTO ArtDefine_UnitMemberInfos
		(Type, 									Scale, ZOffset, Domain, Model, 					MaterialTypeTag, MaterialTypeSoundOverrideTag)
SELECT	'ART_DEF_UNIT_MEMBER_CANADIANVOYAGEUR',	Scale, ZOffset, Domain, 'Scout_Mongol.fxsxml',	MaterialTypeTag, MaterialTypeSoundOverrideTag
FROM ArtDefine_UnitMemberInfos WHERE Type = 'ART_DEF_UNIT_MEMBER_SCOUT';
--==========================================================================================================================
-- ArtDefine_UnitInfos
------------------------------		
INSERT INTO ArtDefine_UnitInfos 
			(Type,						DamageStates,	Formation)
SELECT		'ART_DEF_UNIT_AVROARROW', 	DamageStates, 	Formation
FROM ArtDefine_UnitInfos WHERE Type = 'ART_DEF_UNIT_JET_FIGHTER';
------------------------------
-- ArtDefine_StrategicView
------------------------------
INSERT INTO ArtDefine_StrategicView 
			(StrategicViewType, 				TileType,	Asset)
VALUES		('ART_DEF_UNIT_AVROARROW',			'Unit',		'SV_AvroArrow.dds');
------------------------------
-- ArtDefine_UnitInfoMemberInfos
------------------------------
INSERT INTO ArtDefine_UnitInfoMemberInfos 	
			(UnitInfoType,				UnitMemberInfoType,					NumMembers)
SELECT		'ART_DEF_UNIT_AVROARROW', 	'ART_DEF_UNIT_MEMBER_AVROARROW', 	NumMembers
FROM ArtDefine_UnitInfoMemberInfos WHERE UnitInfoType = 'ART_DEF_UNIT_JET_FIGHTER';
------------------------------
-- ArtDefine_UnitMemberCombats
------------------------------
INSERT INTO ArtDefine_UnitMemberCombats 
			(UnitMemberType,					EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation)
SELECT		'ART_DEF_UNIT_MEMBER_AVROARROW',	EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation
FROM ArtDefine_UnitMemberCombats WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_JETFIGHTER';
------------------------------
-- ArtDefine_UnitMemberCombatWeapons
------------------------------
INSERT INTO ArtDefine_UnitMemberCombatWeapons	
			(UnitMemberType,					"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag)
SELECT		'ART_DEF_UNIT_MEMBER_AVROARROW',	"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag
FROM ArtDefine_UnitMemberCombatWeapons WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_JETFIGHTER';
------------------------------
-- ArtDefine_UnitMemberInfos
------------------------------
INSERT INTO ArtDefine_UnitMemberInfos 	
		(Type, 								Scale, ZOffset, Domain, Model, 				MaterialTypeTag, MaterialTypeSoundOverrideTag)
SELECT	'ART_DEF_UNIT_MEMBER_AVROARROW',	Scale, ZOffset, Domain, 'AvroArrow.fxsxml',	MaterialTypeTag, MaterialTypeSoundOverrideTag
FROM ArtDefine_UnitMemberInfos WHERE Type = 'ART_DEF_UNIT_MEMBER_JETFIGHTER';

-- Enlightenment Era Compatibility
UPDATE Unit_ClassUpgrades SET UnitClassType = 'UNITCLASS_EE_ADVENTURER' WHERE UnitType = 'UNIT_CANADIANVOYAGEUR' AND EXISTS (SELECT * FROM UnitClasses WHERE Type ='UNITCLASS_EE_ADVENTURER');

UPDATE Units SET ObsoleteTech = (SELECT ObsoleteTech FROM Units WHERE Type = 'UNIT_EE_ADVENTURER') WHERE Type = 'UNIT_CANADIANVOYAGEUR' AND EXISTS (SELECT * FROM UnitClasses WHERE Type ='UNITCLASS_EE_ADVENTURER');

UPDATE Units SET GoodyHutUpgradeUnitClass = 'UNITCLASS_EE_ADVENTURER' WHERE Type = 'UNIT_CANADIANVOYAGEUR' AND EXISTS (SELECT * FROM UnitClasses WHERE Type ='UNITCLASS_EE_ADVENTURER');

